## LatexilaTemplatesDialogs

LatexilaTemplatesDialogs

## Functions

gchar * | latexila_templates_dialogs_open ()
void | latexila_templates_dialogs_create_template ()

## Includes

    #include <latexila.h>

## Description

## Functions

### latexila_templates_dialogs_open ()

    gchar *
    latexila_templates_dialogs_open (GtkWindow *parent_window);

Runs a GtkDialog to create a new document from a template. Only the template's contents is returned.

#### Parameters

parent_window | transient parent window of the dialog. |

#### Returns

the template contents, or `NULL` if no templates must be opened.

### latexila_templates_dialogs_create_template ()

    void
    latexila_templates_dialogs_create_template
                                   (GtkWindow *parent_window,
                                    const gchar *template_contents);

Runs a GtkDialog to create a new template. The template's contents is given. The GtkDialog asks the template's name and icon.

#### Parameters

parent_window | transient parent window of the dialog. |
template_contents | the template's contents. |